package com.hai.service;

import com.hai.entity.HighCouponAgentCode;
import com.hai.entity.HighCouponAgentRel;

import java.security.PrivateKey;

/**
 * @Auther: 胡锐
 * @Description: 代理商与卡券的声音
 * @Date: 2021/4/20 22:59
 */
public interface HighCouponAgentService {

    /**
     * @Author 胡锐
     * @Description 卡券分配给代理商
     * @Date 2021/4/20 23:01
     **/
    void assignCouponAgent(HighCouponAgentRel highCouponAgentRel);

    /**
     * @Author 胡锐
     * @Description 根据卡券id和代理商id 查询
     * @Date 2021/4/20 23:52
     **/
    HighCouponAgentRel getRelByCouponAgent(Long couponId,Long agentId);


}
